Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - adapta-gtk-theme

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: adapta-gtk-theme 3.89.3.74-1

Git Clone URL: https://aur-dev.archlinux.org/adapta-gtk-theme.git (read-only)
Package Base: adapta-gtk-theme
Description: An adaptive Gtk+ theme based on Material Design Guidelines.
Upstream URL: https://github.com/adapta-project/adapta-gtk-theme
Keywords: gtk material theme
Licenses: GPL2, CCPL
Submitter: pschichtel
Maintainer: pschichtel
Last Packager: pschichtel
Votes: 119
Popularity: 15.985766
First Submitted: 2016-03-02 19:20
Last Updated: 2017-01-30 15:38

Dependencies (27)

Required by (2)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

pschichtel commented on 2017-01-25 20:38

@iv597 I cannot reproduce this. You could report this upstream.

iv597 commented on 2017-01-23 17:26

package step fails on my system as of the past week or two:


==> Starting package()...
Making install in gtk
make[1]: Entering directory '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/src/adapta-gtk-theme-3.89.3.29/gtk'
make[2]: Entering directory '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/src/adapta-gtk-theme-3.89.3.29/gtk'
make[2]: Nothing to be done for 'install-exec-am'.
/usr/bin/mkdir -p /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta
/usr/bin/mkdir -p /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Nokto
/usr/bin/mkdir -p /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Eta
/usr/bin/mkdir -p /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Nokto-Eta
cp -Rv ./index.theme /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta
'./index.theme' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/index.theme'
cp -Rv ./index.theme-nokto /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Nokto/index.theme
'./index.theme-nokto' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Nokto/index.theme'
cp -Rv ./index.theme-eta /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Eta/index.theme
'./index.theme-eta' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Eta/index.theme'
cp -Rv ./index.theme-nokto-eta /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Nokto-Eta/index.theme
'./index.theme-nokto-eta' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta-Nokto-Eta/index.theme'
/usr/bin/mkdir -p /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/gtk-3.0
cp -Rv ./gtk-3.18/gtk.css ./gtk-3.18/gtk-dark.css ./gtk-3.18/gtk.gresource ./asset/assets-gtk3/thumbnail@2.png ./asset/assets-gtk3/thumbnail.png /tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/gtk-3.0
'./gtk-3.18/gtk.css' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/gtk-3.0/gtk.css'
'./gtk-3.18/gtk-dark.css' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/gtk-3.0/gtk-dark.css'
cp: cannot stat './gtk-3.18/gtk.gresource': No such file or directory
'./asset/assets-gtk3/thumbnail@2.png' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/gtk-3.0/thumbnail@2.png'
'./asset/assets-gtk3/thumbnail.png' -> '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/pkg/adapta-gtk-theme/usr/share/themes/Adapta/gtk-3.0/thumbnail.png'
make[2]: *** [Makefile:1419: install-data-local] Error 1
make[2]: Leaving directory '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/src/adapta-gtk-theme-3.89.3.29/gtk'
make[1]: *** [Makefile:1210: install-am] Error 2
make[1]: Leaving directory '/tmp/packerbuild-1000/adapta-gtk-theme/adapta-gtk-theme/src/adapta-gtk-theme-3.89.3.29/gtk'
make: *** [Makefile:360: install-recursive] Error 1
==> ERROR: A failure occurred in package().
Aborting...
The build failed.

bobolin commented on 2017-01-13 21:42

/usr/bin/glib-compile-resources --sourcedir=./gnome-shell \
./gnome-shell/gnome-shell-theme.gresource.xml
failed to load "./gnome-shell/assets/calendar-arrow-left.svg": Couldn't recognize the image file format for file './gnome-shell/assets/calendar-arrow-left.svg'
./gnome-shell/gnome-shell-theme.gresource.xml: Child process exited with code 1.
make[1]: *** [Makefile:912: all] Error 1
make[1]: Leaving directory '/home/bobolin/.cache/pacaur/adapta-gtk-theme/src/adapta-gtk-theme-3.89.2.76/shell'
make: *** [Makefile:359: all-recursive] Error 1
==> ERROR: A failure occurred in build().
Aborting...
:: failed to build adapta-gtk-theme package(s)

digivation commented on 2017-01-10 02:31

@mk_rego, I too was experiencing this issue. Looks like an outdated cache issue with pixbuf, reinstalling resolved my problem.

pacman -S pixbuf

Addendum: running

sudo gdk-pixbuf-query-loaders --update-cache

May resolve the issue without reinstalling pixbuf.

mk_rego commented on 2017-01-09 09:22

Hi everyone, when trying to install the package I receive the following error:

failed to load "./gnome-shell/assets/calendar-arrow-left.svg": Couldn't recognize the image file format for file './gnome-shell/assets/calendar-arrow-left.svg'

Any suggestions?

pschichtel commented on 2017-01-03 19:04

I reverted back to manual updates again.

denvit commented on 2017-01-03 14:09

The new sha256 key is a6b08101084795d0df62920f545aa952dd6e787485d5e1a744098cd7e6667554

jumperpunk commented on 2017-01-03 13:47

The `pkgver()` function uses `wget`, which is in extra and may not be installed (I was surprised to find out I did not have it installed). `curl` is a dependency of `pacman`, so it is pretty much guaranteed to be installed. Use `curl -s` instead of `wget -O- -q`. `wget` is listed in makedepends, but `makepkg` doesn't get that far if it thinks $pkgver is empty.

Having said that, though, I'm not sure what the advantage is when you still need to update the checksum manually. If the git repo offers pgp signatures, you could use that.

ijann commented on 2017-01-03 03:29

Hello kev0709, You are right, it is a problem of sha-256, generate one with the version that was downloaded and modify sha256 which is outdated, thanks for the data,
greetings

kev0709 commented on 2017-01-02 20:51

After multiple fails, I realized that the sha256 checksum in PKGBUILD is incorrect. The checksum in PKGBUILD is for the release version (3.89.2.47) while the package downloaded by PKGBUILD is actually the latest development version (3.89.2 Development Release (rev.50)). I fixed the problem by manually download the latest development release and get the sha256 checksum.